Subject: Re: MPC5200, PLX9054 PCI Card - stalled DMA transfers

From: Sylvain Munaut <[email-masked]>
Date: Thu, 08 Mar 2007 13:20:53 +0100

>> Anyway, manually setup a DMA transfer and convince yourself that
>> you know which bits to twiddle, then figure out why the driver
>> code isn't doing as its asked.
>>
>>     
>
> I've done so without success. The driver seems to make everything 
> correct. A block DMA is fairly simple on the 9054, so I think there must 
> be a hardware reason for this.
> Has anybody ever used a PCI card on the MPC5200 which has its own 
> busmaster controller? I think most people use the BestComm DMA 
> controller on the MPC5200, right?
>   
No, most PCI card that need big xfer uses bus mater. A ide card, a
network card, ...  all most certainly use it.

Bestcomm on the 5200 is for the SoC internal peripheral mainly.

Sylvain